import { type Static } from '@sinclair/typebox';
import type { FetchError } from './FetchError.js';
import type { ValidationError } from './validatedFetch.js';
export declare enum LocationHistoryServiceType {
    ANCHOR = "ANCHOR",
    GNSS = "GNSS",
    GPS = "GPS",
    MCELL = "MCELL",
    MCELL_EVAL = "MCELL_EVAL",
    SCELL = "SCELL",
    SCELL_EVAL = "SCELL_EVAL",
    WIFI = "WIFI",
    WIFI_EVAL = "WIFI_EVAL"
}
declare const LocationHistoryType: import("@sinclair/typebox").TObject<{
    items: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        deviceId: import("@sinclair/typebox").TString;
        serviceType: import("@sinclair/typebox").TEnum<typeof LocationHistoryServiceType>;
        insertedAt: import("@sinclair/typebox").TString;
        lat: import("@sinclair/typebox").TString;
        lon: import("@sinclair/typebox").TString;
        meta: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
        uncertainty: import("@sinclair/typebox").TRegExp;
        anchors: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            macAddress: import("@sinclair/typebox").TRegExp;
            name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRegExp>;
        }>>>;
    }>>;
    total: import("@sinclair/typebox").TNumber;
    pageNextToken: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
}>;
export type LocationHistory = Static<typeof LocationHistoryType>;
export declare const getLocationHistory: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => ({ deviceId, pageNextToken, start, end, }: {
    deviceId: string;
    pageNextToken?: string;
    start?: Date;
    end?: Date;
}) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: Static<typeof LocationHistoryType>;
}>;
export {};
